#!/bin/csh

set PWD = `pwd`
set EXE = ./write_ace_xs.exe

set ACE_DIR = ../frendy/ace

set OUT_DIR = ${PWD}/out_each

cd ${PWD}/src
./run.sh
cd ${PWD}

mkdir -p ${OUT_DIR}

foreach ACE( `ls ${ACE_DIR}/*.ace` )
  set CASE_NAME = `basename ${ACE} .ace`
  if( ${CASE_NAME} == "HinH2O" ) then
    continue
  endif

  echo ${CASE_NAME}

  set MT_LIST  = "mt_list.dat"
  echo "1"    > ${MT_LIST}
  echo "101" >> ${MT_LIST}
  echo "18"  >> ${MT_LIST}

  ${EXE}  ${ACE}  ${MT_LIST}

  mv ${ACE}*.xs  ${OUT_DIR}
end


