#!/bin/sh

 CPP=g++
 TOP_DIR=../../link_base/frendy_dir/frendy
 CXXFLAGS="-c -Wall -O2 -I${TOP_DIR}"

 $CPP $CXXFLAGS    ./write_pendf_xs.cpp -o write_pendf_xs.o
 $CPP    $TOP_DIR/CommonUtils/ErrorManager.o_m \
         $TOP_DIR/CommonUtils/StringUtils.o_m  \
         $TOP_DIR/CommonUtils/VectorClearer.o_m \
         $TOP_DIR/CommonUtils/VectorCopier.o_m \
         $TOP_DIR/CommonUtils/VectorSizeChecker.o_m \
         $TOP_DIR/CommonUtils/DigitAdjuster.o_m \
         $TOP_DIR/CommonUtils/TabInterpolator.o_m \
         $TOP_DIR/CommonUtils/TabAdjuster.o_m \
         $TOP_DIR/CommonUtils/CommentRemover.o_m \
         $TOP_DIR/CommonUtils/FileCommentRemover.o_m \
         $TOP_DIR/CommonUtils/TimeUtils.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/ResonanceData/BreitWignerDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/ResonanceData/ReichMooreDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/ResonanceData/AdlerAdlerDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/ResonanceData/RMatrixLimitedDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/ResonanceData/UnresolvedResonanceDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/ResonanceData/UnresolvedCrossSectionDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/ResonanceData/UnresolvedProbabilityDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/GeneralDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/FissionDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/CrossSectionDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/EnergyAngularDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/ResonanceDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/PhotonDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/ProductDistributionDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/ThermalScatterDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/RadioactiveProductDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/OtherNuclearDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataContainer/NuclearReactionDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceResonanceData/BreitWignerCovarianceDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceResonanceData/BreitWignerCompactCovarianceDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceResonanceData/ReichMooreCovarianceDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceResonanceData/ReichMooreCompactCovarianceDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceResonanceData/AdlerAdlerCovarianceDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceResonanceData/RMatrixLimitedCovarianceDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceResonanceData/RMatrixLimitedCompactCovarianceDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceResonanceData/CompatibleResolvedResonanceDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceResonanceData/UnresolvedResonanceCovarianceDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceGeneralDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceCrossSectionDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceResonanceDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceFissionDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceEnergyAngularDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceRadioactiveProductDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/CovarianceDataContainer/CovarianceReactionDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/ProbabilityDataContainer/ProbabilityTableDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/ProbabilityDataContainer/ProbabilityDataContainer.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataObject.o_m \
         $TOP_DIR/NuclearDataUtils/OtherUtils/CrossSectionCalculator.o_m \
         $TOP_DIR/NuclearDataUtils/NuclearDataCalculator/NuBarCalculator.o_m \
         $TOP_DIR/NuclearDataUtils/OtherUtils/Endf6FileStore.o_m \
         $TOP_DIR/NuclearDataUtils/OtherUtils/ProbDataConverter.o_m \
         $TOP_DIR/NuclearDataUtils/OtherUtils/NuclearDataObjectUtils.o_m \
         $TOP_DIR/EndfUtils/EndfFileReader/EndfFileReader.o_m \
         $TOP_DIR/EndfUtils/EndfFileReader/MultiParser.o_m \
         $TOP_DIR/EndfUtils/EndfFileReader/StringConverter.o_m \
         $TOP_DIR/EndfUtils/OtherUtils/EndfTapeDivider.o_m   \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF01MT451Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF01MT452Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF01MT455Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF01MT456Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF01MT458Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF01MT460Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF02MT151Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF02MT152Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF02MT153Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF07MT002Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF07MT004Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF08MT454Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF08MT457Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF08MT459Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF30MT001Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF30MT002Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF32MT151Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF03Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF04Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF05Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF06Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF08Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF09Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF10Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF12Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF13Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF14Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF15Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF23Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF26Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF27Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF28Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF31Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF33Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF34Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF35Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyParser/MF40Parser.o_m \
         $TOP_DIR/EndfUtils/Endf6Parser/Endf6ParserNoCov.o_m \
         $TOP_DIR/EndfUtils/Endf6Parser/Endf6ParserCov.o_m \
         $TOP_DIR/EndfUtils/Endf6Parser/Endf6Parser.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/ResonanceData/MF02MT151ConverterBreitWigner.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/ResonanceData/MF02MT151ConverterReichMoore.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/ResonanceData/MF02MT151ConverterAdlerAdler.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/ResonanceData/MF02MT151ConverterRMatrixLimited.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/ResonanceData/MF02MT151ConverterUnresolved.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/ResonanceData/MF32MT151ConverterCompatibleResolvedResonance.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/ResonanceData/MF32MT151ConverterBreitWigner.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/ResonanceData/MF32MT151ConverterReichMoore.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/ResonanceData/MF32MT151ConverterAdlerAdler.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/ResonanceData/MF32MT151ConverterRMatrixLimited.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/ResonanceData/MF32MT151ConverterBreitWignerCompact.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/ResonanceData/MF32MT151ConverterReichMooreCompact.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/ResonanceData/MF32MT151ConverterRMatrixLimitedCompact.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/ResonanceData/MF32MT151ConverterUnresolvedResonance.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF01MT451Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF01MT452Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF01MT455Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF01MT456Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF01MT458Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF01MT460Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF02MT151Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF02MT152Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF02MT153Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF07MT002Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF07MT004Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF08MT454Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF08MT457Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF08MT459Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF30MT001Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF30MT002Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF32MT151Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF03Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF04Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF05Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF06Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF08Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF09Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF10Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF12Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF13Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF14Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF15Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF23Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF26Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF27Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF28Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF31Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF33Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF34Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF35Converter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyConverter/MF40Converter.o_m \
         $TOP_DIR/EndfUtils/Endf6Converter/Endf6Converter.o_m \
         $TOP_DIR/EndfUtils/EndfFileWriter/EndfFileWriter.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF01MT451Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF01MT452Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF01MT455Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF01MT456Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF01MT458Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF01MT460Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF02MT151Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF02MT152Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF02MT153Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF07MT002Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF07MT004Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF08MT454Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF08MT457Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF08MT459Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF30MT001Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF30MT002Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF32MT151Writer.o_m \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF03Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF04Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF05Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF06Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF08Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF09Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF10Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF12Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF13Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF14Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF15Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF23Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF26Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF27Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF28Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF31Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF33Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF34Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF35Writer.o_m      \
         $TOP_DIR/EndfUtils/MFxxMTyyyWriter/MF40Writer.o_m      \
         $TOP_DIR/EndfUtils/Endf6Writer/Endf6Writer.o_m \
         $TOP_DIR/EndfUtils/GendfParser/GMF01MT451Parser.o_m \
         $TOP_DIR/EndfUtils/GendfParser/GMFxxParserBase.o_m \
         $TOP_DIR/EndfUtils/GendfParser/GMF03Parser.o_m \
         $TOP_DIR/EndfUtils/GendfParser/GMF05Parser.o_m \
         $TOP_DIR/EndfUtils/GendfParser/GMF06Parser.o_m \
         $TOP_DIR/EndfUtils/GendfParser/GMF13Parser.o_m \
         $TOP_DIR/EndfUtils/GendfParser/GMF16Parser.o_m \
         $TOP_DIR/EndfUtils/GendfParser/GendfParser.o_m \
         $TOP_DIR/EndfUtils/GendfWriter/GMFxxWriterBase.o_m \
         $TOP_DIR/EndfUtils/GendfWriter/GMF01MT451Writer.o_m \
         $TOP_DIR/EndfUtils/GendfWriter/GMF03Writer.o_m \
         $TOP_DIR/EndfUtils/GendfWriter/GMF05Writer.o_m \
         $TOP_DIR/EndfUtils/GendfWriter/GMF06Writer.o_m \
         $TOP_DIR/EndfUtils/GendfWriter/GMF13Writer.o_m \
         $TOP_DIR/EndfUtils/GendfWriter/GMF16Writer.o_m \
         $TOP_DIR/EndfUtils/GendfWriter/GendfWriter.o_m \
         $TOP_DIR/MathUtils/ComplexErrorFunctionCalculator.o_m \
         $TOP_DIR/MathUtils/ComplexErrorFunctionCalculatorWithNjoyReconrFormula.o_m \
         $TOP_DIR/MathUtils/ComplexErrorFunctionCalculatorWithNjoyPurrFormula.o_m \
         $TOP_DIR/MathUtils/ComplexErrorFunctionCalculatorWithPadeApproximation.o_m \
         $TOP_DIR/MathUtils/RandomNumberGenerator.o_m \
         $TOP_DIR/MathUtils/RandomNumberGeneratorWithNjoyFormula.o_m \
         $TOP_DIR/MathUtils/Bootstrap.o_m \
         $TOP_DIR/MathUtils/MathUtils.o_m \
         $TOP_DIR/NjoyUtils/NjoyInputReader.o_m            \
         $TOP_DIR/NjoyUtils/ReconrInputReader.o_m          \
         $TOP_DIR/NjoyUtils/BroadrInputReader.o_m          \
         $TOP_DIR/NjoyUtils/ThermrInputReader.o_m          \
         $TOP_DIR/NjoyUtils/PurrInputReader.o_m            \
         $TOP_DIR/NjoyUtils/UnresrInputReader.o_m          \
         $TOP_DIR/NjoyUtils/GasprInputReader.o_m           \
         $TOP_DIR/NjoyUtils/AcerInputReader.o_m            \
         $TOP_DIR/NjoyUtils/ModerInputReader.o_m           \
         $TOP_DIR/NjoyUtils/GrouprInputReader.o_m          \
         $TOP_DIR/NjoyUtils/MatxsrInputReader.o_m          \
         $TOP_DIR/NjoyUtils/GroupStructureGamma.o_m        \
         $TOP_DIR/NjoyUtils/GroupStructureNeutron.o_m      \
         $TOP_DIR/NjoyUtils/MultiGroupWeightFunction.o_m   \
         $TOP_DIR/FrendyUtils/FrendyInputCommonUtils.o_m        \
         $TOP_DIR/FrendyUtils/ThermalScatterMatList.o_m         \
         $TOP_DIR/FrendyUtils/ReconResonanceInputReader.o_m     \
         $TOP_DIR/FrendyUtils/DopplerBroadeningInputReader.o_m  \
         $TOP_DIR/FrendyUtils/GasProductionInputReader.o_m      \
         $TOP_DIR/FrendyUtils/ThermalScatterInputReader.o_m     \
         $TOP_DIR/FrendyUtils/ProbTableInputReader.o_m          \
         $TOP_DIR/FrendyUtils/AceDataGeneratorInputReader.o_m   \
         $TOP_DIR/FrendyUtils/MultiGroupDataGeneratorInputReader.o_m \
         $TOP_DIR/FrendyUtils/MakeNJOYInputReader.o_m           \
         $TOP_DIR/FrendyUtils/FrendyInputReader.o_m             \
         $TOP_DIR/FrendyUtils/Endf6FormatCheckInputReader.o_m   \
         $TOP_DIR/ReconResonance/RmatrixLimited/endf/CONT.o_m     \
         $TOP_DIR/ReconResonance/RmatrixLimited/endf/Document.o_m \
         $TOP_DIR/ReconResonance/RmatrixLimited/endf/Interp1.o_m  \
         $TOP_DIR/ReconResonance/RmatrixLimited/endf/Interp2.o_m  \
         $TOP_DIR/ReconResonance/RmatrixLimited/endf/LIST.o_m     \
         $TOP_DIR/ReconResonance/RmatrixLimited/endf/LTT1.o_m     \
         $TOP_DIR/ReconResonance/RmatrixLimited/endf/LTT2.o_m     \
         $TOP_DIR/ReconResonance/RmatrixLimited/endf/Numeric.o_m  \
         $TOP_DIR/ReconResonance/RmatrixLimited/endf/TAB1.o_m     \
         $TOP_DIR/ReconResonance/RmatrixLimited/endf/TAB2.o_m     \
         $TOP_DIR/ReconResonance/RmatrixLimited/endf/TEXT.o_m     \
         $TOP_DIR/ReconResonance/RmatrixLimited/endf/TOF.o_m      \
         $TOP_DIR/ReconResonance/RmatrixLimited/numeric/Approx.o_m  \
         $TOP_DIR/ReconResonance/RmatrixLimited/numeric/Constant.o_m  \
         $TOP_DIR/ReconResonance/RmatrixLimited/numeric/Coupling.o_m  \
         $TOP_DIR/ReconResonance/RmatrixLimited/numeric/Datum.o_m     \
         $TOP_DIR/ReconResonance/RmatrixLimited/numeric/Legendre.o_m  \
         $TOP_DIR/ReconResonance/RmatrixLimited/numeric/Parameter.o_m \
         $TOP_DIR/ReconResonance/RmatrixLimited/numeric/Tabular.o_m   \
         $TOP_DIR/ReconResonance/RmatrixLimited/numeric/Interp.o_m    \
         $TOP_DIR/ReconResonance/RmatrixLimited/rml/Boundary.o_m  \
         $TOP_DIR/ReconResonance/RmatrixLimited/rml/Channel.o_m   \
         $TOP_DIR/ReconResonance/RmatrixLimited/rml/Coherent.o_m  \
         $TOP_DIR/ReconResonance/RmatrixLimited/rml/Coulomb.o_m   \
         $TOP_DIR/ReconResonance/RmatrixLimited/rml/Distant.o_m   \
         $TOP_DIR/ReconResonance/RmatrixLimited/rml/Nucleus.o_m   \
         $TOP_DIR/ReconResonance/RmatrixLimited/rml/Particle.o_m  \
         $TOP_DIR/ReconResonance/RmatrixLimited/rml/Structure.o_m \
         $TOP_DIR/ReconResonance/RmatrixLimited/rml/System.o_m    \
         $TOP_DIR/ReconResonance/RmatrixLimited/rml/TwoBody.o_m   \
         $TOP_DIR/ReconResonance/RmatrixLimited/run/RmatrixLimitedCalculator.o_m \
         $TOP_DIR/ReconResonance/NonResonanceEnergyGridLinearizer.o_m  \
         $TOP_DIR/ReconResonance/ResonanceEnergyGridLinearizer.o_m     \
         $TOP_DIR/ReconResonance/ResonanceXSCalculator.o_m \
         $TOP_DIR/ReconResonance/ResonanceXSCalculatorByInterpolation.o_m \
         $TOP_DIR/ReconResonance/ReconstructXSMerger.o_m   \
         $TOP_DIR/ReconResonance/ResonanceNuclearDataModifier.o_m   \
         $TOP_DIR/ReconResonance/ResonanceXSReconstructor.o_m \
         $TOP_DIR/ReconResonance/ResonanceXSReconstructorByNjoyInput.o_m \
         $TOP_DIR/ReconResonance/ResonanceXSReconstructorByFrendyInput.o_m \
         $TOP_DIR/DopplerBroadening/BroadenedXSCalculator.o_m       \
         $TOP_DIR/DopplerBroadening/BroadenedXSCalculatorWithNjoyFormula.o_m \
         $TOP_DIR/DopplerBroadening/DopplerCalculator.o_m           \
         $TOP_DIR/DopplerBroadening/ThermalQuantityCalculator.o_m   \
         $TOP_DIR/DopplerBroadening/DopplerCalculatorByNjoyInput.o_m        \
         $TOP_DIR/DopplerBroadening/DopplerCalculatorByFrendyInput.o_m        \
         $TOP_DIR/ThermalScatter/IncoherentInelasticScatterCalculator.o_m \
         $TOP_DIR/ThermalScatter/IncoherentInelasticScatterCalculatorByInterpolation.o_m \
         $TOP_DIR/ThermalScatter/CoherentElasticScatterCalculator.o_m \
         $TOP_DIR/ThermalScatter/IncoherentElasticScatterCalculator.o_m \
         $TOP_DIR/ThermalScatter/ThermalScatterCalculator.o_m \
         $TOP_DIR/ThermalScatter/ThermalScatterDataConverter.o_m \
         $TOP_DIR/ThermalScatter/ThermalScatterCalculatorByNjoyInput.o_m \
         $TOP_DIR/ThermalScatter/ThermalScatterCalculatorByFrendyInput.o_m \
         $TOP_DIR/UnresoUtils/ProbabilityTableCalculator.o_m \
         $TOP_DIR/UnresoUtils/ProbabilityTableCalculatorByNjoyInput.o_m \
         $TOP_DIR/UnresoUtils/ProbabilityTableCalculatorByFrendyInput.o_m \
         $TOP_DIR/GasProduction/GasProductionXSCalculator.o_m \
         $TOP_DIR/GasProduction/GasProductionXSCalculatorByNjoyInput.o_m \
         $TOP_DIR/GasProduction/GasProductionXSCalculatorByFrendyInput.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/OtherUtils/AceFileReader.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/OtherUtils/AceFileWriter.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataObject/AceDataObject.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataObject/FastAceDataObject.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataObject/ThermalScatterAceDataObject.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataObject/DosimetryAceDataObject.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataParser/FastAceDataParser.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataParser/ThermalScatterAceDataParser.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataParser/DosimetryAceDataParser.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataWriter/FastAceDataWriter.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataWriter/ThermalScatterAceDataWriter.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataWriter/DosimetryAceDataWriter.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataGenerator/FastAceDataGenerator.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataGenerator/ThermalScatterAceDataGenerator.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataGenerator/DosimetryAceDataGenerator.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataGenerator/AceDataGenerator.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataGenerator/AceDataGeneratorByNjoyInput.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataGenerator/AceDataGeneratorByFrendyInput.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataCompare/AceDataCompare.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataCompare/FastAceDataCompare.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataCompare/ThermalScatterAceDataCompare.o_m \
         $TOP_DIR/ContinuousEnergyXSUtils/AceDataCompare/DosimetryAceDataCompare.o_m \
         $TOP_DIR/MGXSUtils/InputUtils/MultiGroupDataGeneratorInputConverter.o_m \
         $TOP_DIR/MGXSUtils/FMGenerator/FMACECrossSectionProcessor.o_m \
         $TOP_DIR/MGXSUtils/FMGenerator/FMACEThermalCrossSectionProcessor.o_m \
         $TOP_DIR/MGXSUtils/FMGenerator/FMDataContainer.o_m \
         $TOP_DIR/MGXSUtils/FMGenerator/FMFreeGasSabIntegrator.o_m \
         $TOP_DIR/MGXSUtils/FMGenerator/FMGENDFOutput.o_m \
         $TOP_DIR/MGXSUtils/FMGenerator/FMGenerator.o_m \
         $TOP_DIR/MGXSUtils/FMGenerator/FMMatxsOutput.o_m \
         $TOP_DIR/MGXSUtils/FMGenerator/FMSpectrumCalculator.o_m \
         $TOP_DIR/MGXSUtils/MatxsUtils/MatxsObject.o_m \
         $TOP_DIR/MGXSUtils/MatxsUtils/MatxsParser.o_m \
         $TOP_DIR/MGXSUtils/MatxsUtils/MatxsWriter.o_m \
         $TOP_DIR/MGXSUtils/MatxsUtils/MatxsMerger.o_m \
         $TOP_DIR/MGXSUtils/OtherUtils/MGUtils.o_m \
         $TOP_DIR/MGXSUtils/MGUtils/MGPhotonProduction.o_m \
         $TOP_DIR/MGXSUtils/MGUtils/MultiGroupDataGeneratorByNjoyInput.o_m \
         $TOP_DIR/MGXSUtils/MGUtils/MultiGroupDataGeneratorByFrendyInput.o_m \
         $TOP_DIR/TabUtils/IntegrateTabData.o_m \
         $TOP_DIR/TabUtils/LinearizeTabData.o_m \
         $TOP_DIR/TabUtils/TwoDInterpolator.o_m \
         $TOP_DIR/FrendyUtils/Endf6ModifierInputReader.o_m \
         $TOP_DIR/NuclearDataModifier/Endf6Modifier.o_m \
         $TOP_DIR/NuclearDataModifier/NuclearDataModifier.o_m \
         $TOP_DIR/NuclearDataModifier/Endf6ModifierByFrendyInput.o_m \
         $TOP_DIR/NuclearDataModifier/GendfModifier.o_m \
         $TOP_DIR/NuclearDataProcessor/NuclearDataProcessorCommonUtils.o_m \
         $TOP_DIR/NuclearDataProcessor/MakeInputFromFRENDYtoNJOY.o_m \
         $TOP_DIR/NuclearDataProcessor/NuclearDataProcessorByNjoyInput.o_m \
         $TOP_DIR/NuclearDataProcessor/NuclearDataProcessorByFrendyInput.o_m \
         ./write_pendf_xs.o \
      -o write_pendf_xs.exe \
      -lboost_timer \
      -lboost_system \
      -lboost_unit_test_framework -L. -llapack -lblas

